/* This file is part of the KDE Project
 *
 * Copyright (C) 1999-2000 Kurt Granroth <granroth@kde.org>
 *
 * This file is distributed under the BSD license. See the file "BSD"
 * in the subdirectory "licenses" of the package for the full license
 * text which has to be applied for this file.
 */
#include <kconfig.h>
#include <kapplication.h>

extern "C"
{
    void init_xmlrpcd()
    {
        KConfig *config = new KConfig( "kxmlrpcdrc", true, false );
        config->setGroup( "General" );

        if ( config->readBoolEntry( "StartServer", false ) )
            kapp->startServiceByDesktopName( "kxmlrpcd" );

        delete config;
    }
}
